summaryrefslogtreecommitdiff
path: root/debian/libsane.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/libsane.preinst')
-rw-r--r--debian/libsane.preinst36
1 files changed, 36 insertions, 0 deletions
diff --git a/debian/libsane.preinst b/debian/libsane.preinst
new file mode 100644
index 0000000..6489e3a
--- /dev/null
+++ b/debian/libsane.preinst
@@ -0,0 +1,36 @@
+#!/bin/sh
+set -e
+
+# From http://wiki.debian.org/DpkgConffileHandling
+# Remove a no-longer used conffile
+rm_conffile() {
+ PKGNAME="$1"
+ CONFFILE="$2"
+ if [ -e "$CONFFILE" ]; then
+ md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
+ old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE '{s/ obsolete$//;s/.* //p}\"`"
+ if [ "$md5sum" != "$old_md5sum" ]; then
+ echo "Obsolete conffile $CONFFILE has been modified by you."
+ echo "Saving as $CONFFILE.dpkg-bak ..."
+ mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+ else
+ echo "Removing obsolete conffile $CONFFILE ..."
+ rm -f "$CONFFILE"
+ fi
+ fi
+}
+
+if [ "$1" = install ] || [ "$1" = upgrade ]; then
+ ## Transition from the old-style udev setup to the old-style dh_installudev setup
+ ## Then dh_installudev will take care of the transition to the new dh_installudev setup
+ if [ -e "/etc/udev/rules.d/025_libsane.rules" ]; then
+ mv /etc/udev/rules.d/025_libsane.rules /etc/udev/rules.d/z60_libsane.rules
+ fi
+
+ ## Remove obsolete /etc/modprobe.d/libsane conffile
+ if dpkg --compare-versions "$2" le "1.0.19-25"; then
+ rm_conffile libsane /etc/modprobe.d/libsane
+ fi
+fi
+
+#DEBHELPER#